jdbm.helper

## Class Serialization

- java.lang.Object
- - jdbm.helper.Serialization

    public final class Serialization
    extends Object

Serialization-related utility methods.

Author:
  Alex Boisvert

### Constructor Summary

Constructors
Constructor and Description
`Serialization()`

### Method Summary

Methods
`static Object` `deserialize(byte[] buf)` Deserialize an object from a byte array
`static byte[]` `serialize(Object obj)` Serialize the object into a byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serialization

    public Serialization()

### Method Detail

#### serialize

    public static byte[] serialize(Object obj)
                            throws IOException

Serialize the object into a byte array.

Throws:
  `IOException`

#### deserialize

    public static Object deserialize(byte[] buf)
                              throws ClassNotFoundException,
                                     IOException

Deserialize an object from a byte array

Throws:
  `ClassNotFoundException`
  `IOException`